@charset "UTF-8";
/*
    Template: swell
    Theme Name: SWELL CHILD
    Theme URI: https://swell-theme.com/
    Description: SWELLの子テーマ
    Version: 1.0.0
    Author: LOOS WEB STUDIO
    Author URI: https://loos-web-studio.com/

    License: GNU General Public License
    License URI: http://www.gnu.org/licenses/gpl.html
*/

/* 共通：外側span（クリック領域） */
.link-txt {
    cursor: pointer;
}

/* テキストリンク用 */
.link-txt.link-txt-plain .link-btn {
    text-decoration: underline;
    color: var(--color_link);
}

/* ボタンリンク用：外側を中央寄せ */
.link-txt:not(.link-txt-plain) {
    display: block;
    text-align: center;
    margin: 24px 0;
}

/* ボタンリンク用：ボタン本体 */
.link-txt:not(.link-txt-plain) .link-btn {
    display: inline-block;
    width: 60%;
    padding: 12px 30px;
    background-color: #0465AF;
    color: #fff !important;
    font-weight: bold;
    font-size: 16px;
    border: none;
    border-radius: 9999px;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.2);
    text-decoration: none !important;
    text-align: center;
    transition: background-color .3s ease;
}

@media (max-width: 768px) {
    .link-txt:not(.link-txt-plain) .link-btn {
        width: 100%;
    }
}